Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.exception
Class CommunityIllegalArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      com.bea.netuix.application.communities.exception.CommunityIllegalArgumentException

All Implemented Interfaces
  Serializable

    public class CommunityIllegalArgumentException

extends IllegalArgumentException

IllegalArgumentException thrown by the communities subsystem.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`CommunityIllegalArgumentException()` Constructs an `CommunityIllegalArgumentException` with no detail message.
`CommunityIllegalArgumentException(String s)` Constructs an `CommunityIllegalArgumentException` with the specified detail message.
`CommunityIllegalArgumentException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`CommunityIllegalArgumentException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityIllegalArgumentException

    public CommunityIllegalArgumentException()

  Constructs an `CommunityIllegalArgumentException` with no detail message.

### CommunityIllegalArgumentException

    public CommunityIllegalArgumentException(Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters
    `cause` - the cause

### CommunityIllegalArgumentException

    public CommunityIllegalArgumentException(String message,
                                             Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

  Parameters
    `message` - the detail message
    `cause` - the cause

### CommunityIllegalArgumentException

    public CommunityIllegalArgumentException(String s)

  Constructs an `CommunityIllegalArgumentException` with the specified detail message.

  Parameters
    `s` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.